deparse {base} | R Documentation

## Expression Deparsing

### Description

Turn unevaluated expressions into character strings.

### Usage

    deparse(expr, width.cutoff = 60)

### Arguments

`expr` | any R expression.
`width.cutoff` | integer in [20, 500] determining the cutoff at which line-breaking is tried.

### Details

This function turns unevaluated expressions (where ``expression'' is taken in a wider sense than the strict concept of a vector of mode `"expression"` used in `expression`) into character strings (a kind of inverse `parse`).

A typical use of this is to create informative labels for data sets and plots. The example shows a simple use of this facility. It uses the functions `deparse` and `substitute` to create labels for a plot which are character string versions of the actual arguments to the function `myplot`.

### See Also

`substitute`, `parse`, `expression`.

### Examples

    deparse(args(lm))
    deparse(args(lm), width = 100)
    myplot <-
    function(x, y)
        plot(x, y, xlab=deparse(substitute(x)),
            ylab=deparse(substitute(y)))

[Package Contents]